<html>
<head>
  <title>Form-to-Table</title>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
  <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js></script"></script>
  <link rel="stylesheet" href="ft.css">
</head>
 
<body>
  <center>
  <h3>Form Data into Table</h3>
  </center>
  <hr>
  <!----- form data ----->
  <form>
      <table align="center" cellpadding = "10">
 
	<!----- First Name ----->
	<tr>
	<td>FIRST NAME</td>
	<td><input type="text" id="fname" name="First_Name" maxlength="30" placeholder="Enter first name" required/>
	(max 30 characters a-z and A-Z)
	</td>
	</tr>
 
	<!----- Last Name ----->
	<tr>
	<td>LAST NAME</td>
	<td><input type="text" id="lname" name="Last_Name" maxlength="30" placeholder="Enter last name" required/>
	(max 30 characters a-z and A-Z)
	</td>
	</tr>
	 
	<!----- Date Of Birth ----->
	<tr>
	<td>DATE OF BIRTH</td>
	 
	<td>
	<!-- 
	<select class="s1" name="Birthday_day" id="dd">
	<option value="-1">Day:</option>
	<option value="1">1</option>
	<option value="2">2</option>
	<option value="3">3</option>
	 
	<option value="4">4</option>
	<option value="5">5</option>
	<option value="6">6</option>
	<option value="7">7</option>
	<option value="8">8</option>
	<option value="9">9</option>
	<option value="10">10</option>
	<option value="11">11</option>
	<option value="12">12</option>
	 
	<option value="13">13</option>
	<option value="14">14</option>
	<option value="15">15</option>
	<option value="16">16</option>
	<option value="17">17</option>
	<option value="18">18</option>
	<option value="19">19</option>
	<option value="20">20</option>
	<option value="21">21</option>
	 
	<option value="22">22</option>
	<option value="23">23</option>
	<option value="24">24</option>
	<option value="25">25</option>
	<option value="26">26</option>
	<option value="27">27</option>
	<option value="28">28</option>
	<option value="29">29</option>
	<option value="30">30</option>
	<option value="31">31</option>
	</select>
	 
	<select class="s2" id="Birthday_Month" name="mm">
	<option value="-1">Month:</option>
	<option value="January">Jan</option>
	<option value="February">Feb</option>
	<option value="March">Mar</option>
	<option value="April">Apr</option>
	<option value="May">May</option>
	<option value="June">Jun</option>
	<option value="July">Jul</option>
	<option value="August">Aug</option>
	<option value="September">Sep</option>
	<option value="October">Oct</option>
	<option value="November">Nov</option>
	<option value="December">Dec</option>
	</select>
	 
	<select class="s3" name="Birthday_Year" id="yyyy">
	 
	<option value="-1">Year:</option>
	<option value="2012">2012</option>
	<option value="2011">2011</option>
	<option value="2010">2010</option>
	<option value="2009">2009</option>
	<option value="2008">2008</option>
	<option value="2007">2007</option>
	<option value="2006">2006</option>
	<option value="2005">2005</option>
	<option value="2004">2004</option>
	<option value="2003">2003</option>
	<option value="2002">2002</option>
	<option value="2001">2001</option>
	<option value="2000">2000</option>
	 
	<option value="1999">1999</option>
	<option value="1998">1998</option>
	<option value="1997">1997</option>
	<option value="1996">1996</option>
	<option value="1995">1995</option>
	<option value="1994">1994</option>
	<option value="1993">1993</option>
	<option value="1992">1992</option>
	<option value="1991">1991</option>
	<option value="1990">1990</option>
	 
	<option value="1989">1989</option>
	<option value="1988">1988</option>
	<option value="1987">1987</option>
	<option value="1986">1986</option>
	<option value="1985">1985</option>
	<option value="1984">1984</option>
	<option value="1983">1983</option>
	<option value="1982">1982</option>
	<option value="1981">1981</option>
	<option value="1980">1980</option>
	</select> -->
	<input type="date" id="dob" name="date_of_birth" />
	</td>
	</tr>
	 
	<!----- Email Id ----->
	<tr>
	<td>EMAIL ID</td>
	<td><input type="text" id="email" name="email" maxlength="100" placeholder="Enter email-id" required /></td>
	</tr>
	 
	<!----- Mobile Number ----->
	<tr>
	<td>MOBILE NUMBER</td>
	<td>
	<input type="number" id="mobile" name="Mobile_Number" maxlength="10" placeholder="Enter mobile number" required/>
	(10 digit number)
	</td>
	</tr>
	 
	<!----- Gender ----->
	<tr>
	<td>GENDER</td>
	<td>
	Male <input class="r1" type="radio" id="male" name="gender" value="Male" />
	Female <input class="r2" type="radio" id="female" name="gender" value="Female" />
	</td>
	</tr>
	 
	<!----- Organisation ------>
	<tr>
	<td>ORGANISATION</td>
	<td><input type="text" id="org" name="organisation" placeholder="Enter organisation name" required/></td>
	</tr>
	 
	<!----- Submit and Reset ------>
	<tr>
	<td colspan="2" align="center">
	 <input type="button" id="save" onclick="AddData()" value="SUBMIT">
	<input type="reset" value="RESET">
	</td>
	</tr>
      </table>
   </form>
   <hr>

<!-- table to insert form data -->
<center>
 <div>
    <table class="mytable" id="form_result">
                <tr class="mytr">
		    <th class="myth">Sl.No</th> 
                    <th class="myth">First_Name</th>
                    <th class="myth">Last_Name</th>
                    <th class="myth">Date_Of_Birth</th>
                    <th class="myth">Email-Id</th>
                    <th class="myth">Mobile Number</th>
                    <th class="myth">Gender</th>
                    <th class="myth">Organisation</th>
                 </tr>

       <tbody class="mytbody" >
       </tbody>
   </table>
</div>
</center>

<!-- javascript -->

<script type="text/javascript">

  $(document).ready(function(){
  $('#save').on('click', function() {

	//jquery fields

	var first_name = $("#fname").val();								//first name

	var last_name = $("#lname").val(); 								//last name

	var dob = $("#dob").val();									//date of birth

	var email= $("#email").val();  									//email validation			
	var atposition=email.indexOf("@");  	
	var dotposition=email.lastIndexOf(".");  
	if (atposition<1 || dotposition<atposition+2 || dotposition+2>=email.length){  
  		alert("Invalid Email-Id");  
  		return false;  
  	}  

	var mobile = $("#mobile").val();								//mobile validation
	if(mobile.value == "") {
    		window.alert("Error: Cell number must not be null.");
    		number.focus();
    		return false;
	}
	if(mobile.length != 10) {
    		window.alert("Phone number must be 10 digits.");
    		number.focus();
    		return false;
	}

	var gender = $("#gender").val();								//gender validation
	if(document.getElementById("male").checked){
		gender= document.getElementById("male").value;
	}else{
		gender= document.getElementById("female").value;
	}

	var organisation = $("#org").val();								//organisation name	
	var count = $("#form_result tr").length;							//serial number 


//complete fields validation
if(first_name !="" && last_name !="" && dob !="" && email!="" && mobile !="" && gender !="" && organisation !=""){
$("#form_result").append('<tr><td>'+count+'</td><td>'+first_name+'</td><td>'+last_name+'</td><td>'+dob+'</td><td>'+email+'</td><td>'+mobile+'</td><td>'+gender+'</td><td>'+organisation+'</td></tr>');
}
});
});

</script>
</body>
</html>
